//*****************************************
// AVR ATmega644P Geiger Counter
// CPU Clock:8MHz,16NHz,18.432MHz or 20MHz(Compile Option)
// File Name:AVR_ATmega664_Geiger.h
//  wb_[t@C
//
//  2011/09/02 New  Taishi ATmega644P(J308)
//  2011/10/22 Modify for LND712 by  Taishi
//  2011/10/28 Modify for SBM-20 by  Taishi
//  2011/11/08 Modify for LND712 by  Taishi
//  2011/11/12 Modify for SBM-20 by  Taishi
//  2011/11/12 Modify for J-308  by  Taishi
//  2011/11/24 Modify for All Model  Taishi
//*****************************************
#include	"J_308.h"

#define			CPU_CLOCK			8				// 8:8MHz, 16:16MHz, 18:18.432MHz, 20:20MHz

//#define			DEBUG_DISP			1				// fobOp\L@{̓Rgɂ
//#define			DEBUG_TX			1				// fobOpML@{̓Rgɂ

//#define			CHECK_SW_LED_SERIAL	1				// XCb`ƂkdcƃVAʐM̃`FbN@{̓Rgɂ
//#define			CHECK_FONT			1				// tHg`FbN\iVAj^[͖j@{̓Rgɂ
//#define			CHECK_BUZZER		1				// uU[炷@{̓Rgɂ
//#define			CHECK_LCD			1				// kbc\

//#define			_SIMURATION_		1			// V~[V̎

//#define		ONE_BATTERY								// P{obe[̎

//#define		NON_RTC								// qsbA{̓RgɂidRDRu͂qsb̃ANZXG[ɂȂׁj
//#define		NON_SEEP							// rddoqnlAirddoqnlȂ͂𐶂j
//#define		TWI_DEBUG_ENABLE					// ꂪĂ鎞́@svh̑Mf[^PU߂Bi{̓Rgɂj

#define		NON_COMM2			1					// bQgpȂ iUSSfł͎gȂ̂ ̂͐j

#ifdef		ONE_BATTERY
 #define	BATTERY_LOW_DOWN	90					// obeȂȂ|̌xodiXOODXOuj
#else
 #define	BATTERY_LOW_DOWN	180					// obeȂȂ|̌xodiPWOPDWOuj
#endif

#define		BATTERY_LOW_UP		BATTERY_LOW_DOWN+2	// obeȂȂ|̌x߂d

//#define		CONFIG_BACK_LIGHT_ON					// ݒ莞Af[^@obNCg̐ݒœB@RgɂƐݒ莞Af[^@œ

#define		N_of_DAY_DATA		64					// P̃f[^iQ̊KɌj
#define		N_of_HOUR_DATA		64					// PԖ̃f[^iQ̊KɌj
#define		N_of_MINUTE_DATA	64					// P̃f[^iQ̊KɌj


extern	unsigned char	str_cpm[];					// "cpm"
extern	unsigned char	str_cph[];					// "cph"
extern	unsigned char	str_cpd[];					// "cpd"
extern	unsigned char	str_migi[];					// ">"
extern	unsigned char	str_save_data[];			// "No  cph  uSv/h"
extern	unsigned char	str_5minus[];				// "-----"
extern	unsigned char	str_no_data[];				// "Non Data !!"
extern	unsigned char	str_hv_wait[];				// "HV Wait"
extern	unsigned char	str_buz_enable[];			// "Buzzer Enable"
extern	unsigned char	str_buz_disable[];			// "Buzzer Disable"
//extern	unsigned char	str_y_n[];					// "Y:Push N:PW OFF"
extern	unsigned char	str_memory_erase[];			// "Memory Erase"
extern	unsigned char	str_era_y_n[];				// "Y:R-SW N:L-SW"
extern	unsigned char	str_question[];				// "?"
extern	unsigned char	str_space10[];				// "          "
extern	unsigned char	str_volt[];					// "V"
extern	unsigned char	str_adj[];					// "Adj"
extern	unsigned char	str_sel[];					// "Sel"
extern	unsigned char	str_hv_moni[];				// "HV-Moni"
extern	unsigned char	str_save_exit[];			// "Save&Exit
extern	unsigned char	str_save_next[];			// "Save&Next
extern	unsigned char	str_ten8[];					// "."

extern	unsigned char	str_hv_out[];				// "HV-Out"
extern	unsigned char	str_hv_volt[];				// "HV-Volt"
extern	unsigned char	str_cpm_to_uSv[];			// "com->uSv"
extern	unsigned char	str_per_h[];				// "/h"
extern	unsigned char	str_uSv[];					// "uSv"
extern	unsigned char	str_span[];					// "Span"
extern	unsigned char	str_offset[];				// "Ofset"

//extern	unsigned char	str_save_select[];			// "Sel cpm or cph ?"
//extern	unsigned char	str_sel_cpm_cph[];			// "SW L:cpm R:cph"
extern	unsigned char	str_cr_lf[];				// CR+LF
extern	unsigned char	str_5asta[];				// "*****"
extern	unsigned char	str_average[];				// "Ave. "

extern	unsigned char	str_zero[];					// "0"
extern	unsigned char	str_dive[];					// "/"
extern	unsigned char	str_minus[];					// "-"
extern	unsigned char	str_asta[];					// "*"
extern	unsigned char	str_plus[];					// "+"

extern	unsigned char	str_hi[];					// "Hi"
extern	unsigned char	str_lo[];					// "Lo"
extern	unsigned char	str_mon_spn[];				// "MON_SPN"
extern	unsigned char	str_mon_ofs[];				// "MON_OFS"
extern	unsigned char	str_d_time[];				// "Time"

extern	unsigned char	str_back_light_off[];		// "Back Light OFF "
extern	unsigned char	str_back_light_auto[];		// "Back Light AUTO"
extern	unsigned char	str_yl_nr[]; 				// "Y:L-SW N:R-SW"
extern	unsigned char	str_99999999[];				// "99999999"
extern	unsigned char	str_bat[];					// "Bat"
extern	unsigned char	str_sec[];					// "sec"
extern	unsigned char	str_exit[];					// "Exit
extern	unsigned char	str_next[];					// "Next
extern	unsigned char	str_make_date[];			// "Make Date
#ifdef		ONE_BATTERY
extern	unsigned char	str_title_3[];				// ^Cg|R
#endif

extern	unsigned char	str_title_1[];				// ^Cg|P
extern	unsigned char	str_title_2[];				// ^Cg|Q
extern	unsigned char	str_date[];					// 쐬@N
extern	unsigned char	str_time[];					// 쐬@
extern	unsigned char	str_save_data_transmit[];	// "Transmit Save Data"
extern	unsigned char	str_done[];					// "Done"


extern	unsigned long	count_day[N_of_DAY_DATA];
extern	unsigned long	count_hour[N_of_HOUR_DATA];
extern	unsigned int	count_minute[N_of_MINUTE_DATA];
extern	unsigned char	cpd_data_pos;
extern	unsigned char	cph_data_pos;
extern	unsigned char	cpm_data_pos;
extern	unsigned int	cpm_to_uSv_spn;				// cpm_to_uSv_spn Zl̂PO{(1000:100.0)
extern	unsigned int	cpm_to_uSv_ofs;				// cpm_to_uSv_ofs ZItZbg(JEgl炱̒l)
extern	unsigned char	tim_1minute;				// 
extern	unsigned char	tim_1hour;					// 
extern	unsigned char	buz_on;						// uU[gp 1:gpA 0:sgp
extern	unsigned char	non_rtc;
extern	unsigned char	non_seep;
extern	unsigned char	tim_1s_a;						// PbPʃ^C}[
extern	unsigned char	tim_1s_back_light;				// obNCgpPbPʃ^C}[
extern	unsigned char	back_light_mode;				// obNCg̏^_[hiOFneeAPF`tsnAQFnm)

extern	void	lcd_error(void);
extern	void	get_cr_lf(void);
extern	void	get_title(void);
extern	void	wait_key_off(void);
extern	void	get_hv_moni(void);
extern	void	get_bat_moni(void);
extern	void	disp_uSv_at_count(unsigned char x, unsigned char y, unsigned long cp, unsigned char minute_data, unsigned char unit_ari);
extern	void	get_uSv_at_count(unsigned long cp, unsigned char minute_data);
extern	void	wait_sw_off(void);
extern	void	proc_back_light(void);
extern	void	start_back_light(void);
