//*****************************************
// AVR ATmega644P Geiger Counter
// CPU Clock:8MHz,16NHz,18.432MHz or 20MHz(Compile Option)
// File Name:Mega_twi.h
//  wb_[t@C
//
//  2011/09/08 New  Taishi ATmega644P(J308)
//  2011/10/22 Modify for LND712 by  Taishi
//  2011/10/28 Modify for SBM-20 by  Taishi
//  2011/11/08 Modify for LND712 by  Taishi
//  2011/11/12 Modify for SBM-20 by  Taishi
//  2011/11/12 Modify for J-308  by  Taishi
//  2011/11/24 Modify for All Model  Taishi
//*****************************************

enum twi_req_status {
		TWI_START = 0,
		TWI_DATA,
		TWI_DATA_ACK,
		TWI_STOP
	};


#define ACK 1
#define NACK 0

extern	unsigned char	gTwi_status;

extern	void			twi_init(void);
extern	unsigned char	twi_start(unsigned int dev_id, unsigned int dev_addr, unsigned char rw_type);
extern	void 			twi_stop(void);
extern	unsigned char	twi_write(unsigned char data);
extern	unsigned char	twi_read(unsigned char *data,char ack_type);

extern	void			twi_debug_Load_WriteData(unsigned char *cp);
extern	void			twi_debug_Load_ReadData(unsigned char *cp);
extern	void			twi_debug_Load_WStatData(unsigned char *cp);
